Subject: Re: [PATCH 0/2] Making "git commit" to mean "git commit -a".

From: Jakub Narebski <[email-masked]>
Date: Thu, 30 Nov 2006 17:05:11 +0100

Seth Falcon wrote:

> Jakub Narebski <[email-masked]> writes:

>> By the way, I think that git-commit should also watch the return code
>> from the editor, so you can ^C it to abort git-commit --amend.
> 
> For those using emacsclient, I don't think ^C will work.  Is there
> another way to undo an amended commit?  If not, is there any sense in
> detecting a magic comment to abort the ammend commit?

You can ^C the git-commit invocation.

And I guess ORIG_HEAD would help, and reflog certainly would help
reverting (undoing) amend of a commit.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git